using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：内部参与演练单位
    /// </summary>
    [Description("导航属性：内部参与演练单位")]
    public class T_CM_DRILL_RECORD_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 应急演练记录编号
        /// </summary>
        [Description("应急演练记录编号")]
        [DataFieldForeignKey("Nav_Record", "Nav_ListDepartment")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 导航属性：应急演练记录
        /// </summary>
        [Description("导航属性：应急演练记录")]
        public virtual T_CM_DRILL_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：部门
        /// </summary>
        [Description("导航属性：部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}